

.dcart[data-screen="dishes"] > .dcart__screen--dishes { display: block }

/* checkbox */
.dcart__checkbox { position: absolute; left: -9999px; }
.dcart__checkbox-ico { width: 20px; height: 20px; background: #fff; border: 1px solid #ccc; position: absolute; border-radius: 2px; top: 0; bottom: 0; left: 9px; transition: background-color 250ms; margin: auto 0; }
.dcart__checkbox:checked ~ .dcart__checkbox-ico:before { content: ""; height: 2px; background: #000; position: absolute; top: 5px; left: 2px; transform: rotate(45deg); animation: FRAME1 125ms linear 0s forwards; transform-origin: left top; }
.dcart__checkbox:checked ~ .dcart__checkbox-ico:after { content: ""; height: 2px; background: #000; position: absolute; top: 12px; left: 8px; transform: rotate(-45deg); animation: FRAME2 250ms ease 0s forwards; transform-origin: left top; }
.dcart__checkbox:checked ~ .dcart__checkbox-ico { background: #ffeba0; }
.dcart__checkbox-name { font: 14px/16px geometria; }


@keyframes FRAME1 {
    0% { width: 0; }
    50% { width: 0;  }
    100% { width: 60%; }
}
@keyframes FRAME2 {
    0% { width: 0; }
    50% { width: 0; }
    100% { width: 110%; }
}


/* стили блока с условиями доставки */

.dcart__modif { position: relative; padding: 15px 46px 15px 20px; margin: 0 0 12px 0; display: block; }
.dcart__modif--hidden { display: none; }
.dcart__modif:before { position: absolute; width: 3px; height: 100%; content: ""; left: 0; top: 0; }
.dcart__modif .dcart__checkbox-ico { left: 20px; margin: 0; top: 15px; }
.dcart__modif-title { font: 600 15px/17px geometria, arial; }
.dcart__modif-descr { font: 12px/15px geometria, arial; margin: 3px 0 0 0 }
.dcart__modif-price { font: 600 15px/17px geometria, arial; position: absolute; right: 25px;}

.dcart__modif--priority { background: #EEFCDF; cursor: pointer; padding-left: 55px; }
.dcart__modif--priority:before { background: #B6D593; }
.dcart--pickup .dcart__modif--priority { display: none; }

.dcart__modif--points-exchange { background: #F3F0EB; cursor: pointer; padding-left: 55px; }
.dcart__modif--points-exchange:before { background: #c2ae9d; }

.dcart__modif--promo { background: #FBFCE2 url(i/discount.svg) no-repeat 105% 36%; padding: 17px 25px; }
.dcart__modif--promo:before { background: #E1E2CA; }

.dcart__input--promo { text-transform: uppercase; border-radius: 5px; border: 1px solid #d3d3d3; letter-spacing: -1px; width: 100%; height: 46px; font: 600 19px/25px geometria, arial; padding: 0 5px 0 5px; background: #FFFFF3; text-align: center; transition: background 300ms; }
.dcart__input--promo:focus { background: #fff; }

/* summary */
.dcart__summary { margin: 20px 0; }
.dcart__summary-item { margin: 0 25px 12px 25px; }
.dcart__summary-name { font: 600 15px/17px geometria; display: inline-block; vertical-align: top; width: calc(100% - 70px); text-align: left; }
.dcart__summary-value { font: 600 15px/17px geometria; display: inline-block; vertical-align: top; width: 70px; text-align: right; }
.dcart__summary-sub { font: 12px/15px geometria,arial; margin: 3px 0 0 0; white-space: nowrap; }

.dcart__extra { position: relative; margin: 15px 0 15px 0; }
.dcart__extra:before { font: 700 23px/23px geometria; content: attr(data-title); display: block; padding: 0 25px; width: 230px; }
.dcart__extra:after { content: ""; top: 15px; left: 180px; width: 30px; height: 34px; background: url(i/related_arrow.svg) no-repeat 50% 50%; position: absolute; opacity: .5; }